classification
Title: OpenBSD 4.4 still doesn't support _XOPEN_SOURCE
Type: Stage:
Components: Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: hyeshik.chang Nosy List: henry.precheur, hyeshik.chang, loewis, skrah
Priority: normal Keywords: needs review, patch

Created on 2008-09-21 07:52 by loewis, last changed 2010-02-15 08:38 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
bsd.diff loewis, 2008-09-21 07:52
bsd2.diff loewis, 2008-09-21 08:08
bsd3.diff henry.precheur, 2008-09-21 22:15
Messages (6)
msg73500 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-21 07:52
msg71969 suggests that OpenBSD 4.4 still fails to build Python if
_XOPEN_SOURCE is defined.

Henry, can you please confirm that
a) the problem still is that select is unavailable if _POSIX_SOURCE is
defined, and
b) the attached patch fixes the problem (when run through autoconf)

The patch is for 2.6, but should be ported to 3.0 also.
msg73503 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-21 08:08
Looking at the code again, it might be that definition of _POSIX_SOURCE
is not harmful per se anymore, as long as _BSD_SOURCE is also defined.

Can you please also try the alternative bsd2.diff?
msg73537 - (view) Author: Henry Precheur (henry.precheur) Date: 2008-09-21 22:15
The patch bsd2.diff seems to work. There was a little typo in it (a
missing @). (correction attached)
msg73555 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-22 05:03
Hye-Shik, can you please review this patch?
msg98789 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-02-03 16:45
I tested bsd3.diff on OpenBSD-4.4/py3k and it works fine. ncurses
doesn't build and I get a libssl assertion failure in test_ftplib,
but without the patch I can't build py3k at all.
 
This is a significant improvement, so +1 for applying the patch.
msg99354 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-02-15 08:38
I have now committed bsd3.diff as r78194, r78195, r78196, and r78197
History
Date User Action Args
2010-02-15 08:38:04loewissetstatus: open -> closed
resolution: accepted
messages: + msg99354

versions: + Python 3.1, Python 2.7, Python 3.2, - Python 2.5, Python 3.0
2010-02-03 16:45:56skrahsetnosy: + skrah
messages: + msg98789
2008-09-22 05:03:12loewissetkeywords: + needs review
assignee: hyeshik.chang
messages: + msg73555
nosy: + hyeshik.chang
2008-09-21 22:16:12henry.precheursetversions: + Python 2.5
2008-09-21 22:15:44henry.precheursetfiles: + bsd3.diff
messages: + msg73537
2008-09-21 08:08:35loewissetfiles: + bsd2.diff
messages: + msg73503
2008-09-21 07:52:37loewiscreate